Bug 1163762 (CVE-2010-5313, CVE-2014-7842) - CVE-2010-5313 CVE-2014-7842 kernel: kvm: reporting emulation failures to userspace
Summary: CVE-2010-5313 CVE-2014-7842 kernel: kvm: reporting emulation failures to user...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-5313, CVE-2014-7842
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1163763 1163764 1163765 1163766 1163767
Blocks: 1163770
TreeView+ depends on / blocked
 
Reported: 2014-11-13 12:56 UTC by Petr Matousek
Modified: 2019-09-29 13:23 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that reporting emulation failures to user space could lead to either a local (CVE-2014-7842) or a L2->L1 (CVE-2010-5313) denial of service. In the case of a local denial of service, an attacker must have access to the MMIO area or be able to access an I/O port. Please note that on certain systems, HPET is mapped to userspace as part of vdso (vvar) and thus an unprivileged user may generate MMIO transactions (and enter the emulator) this way.
Clone Of:
Environment:
Last Closed: 2016-05-11 07:26:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2152 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-11-20 00:56:02 UTC
Red Hat Product Errata RHSA-2016:0855 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2016-05-10 22:43:57 UTC

Description Petr Matousek 2014-11-13 12:56:55 UTC
It was found that reporting emulation failures to user space can lead to either
local (CVE-2014-7842) or L2->L1 (CVE-2010-5313) DoS.

In the case of local DoS attacker needs access to MMIO area or be able to
generate port access. Please note that on certain systems HPET is mapped
to userspace as part of vdso (vvar) and thus an unprivileged user may
generate MMIO transactions (and enter the emulator) this way.

Upstream patches:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=fc3a9157d314
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a2b9e6c1a35a

Acknowledgements:

Red Hat would like to thank Nadav Amit for reporting this issue.

Comment 2 Petr Matousek 2014-11-13 12:58:34 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1163767]

Comment 3 Petr Matousek 2014-11-13 12:59:38 UTC
Statement:

This issue did not affect the kvm packages as shipped with Red Hat Enterprise Linux 5.

Comment 4 Fedora Update System 2014-11-18 12:17:39 UTC
kernel-3.17.3-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-20 23:04:06 UTC
kernel-3.17.3-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-01-05 07:34:56 UTC
kernel-3.14.27-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-11-19 20:28:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html

Comment 9 errata-xmlrpc 2016-05-10 22:04:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0855 https://rhn.redhat.com/errata/RHSA-2016-0855.html


Note You need to log in before you can comment on or make changes to this bug.